Skip to main content
Equivalent to SDK’s getVaultTVL().

Endpoint

GET https://api.paxoslabs.com/v2/amplify/vaultTvls

Query Parameters

ParameterTypeRequiredDescription
filterstringYesFilter expression — must include vaultAddress=0x.... Optionally add AND chainId=1
includeCurrentstringNoSet to true to include the current (real-time) TVL entry
orderByTimestampstringNoSort order: desc (newest first) or asc
pageSizeintNoResults per page (use 1 for latest only)

Example Request

VAULT_ADDRESS="0x..."
curl -s "https://api.paxoslabs.com/v2/amplify/vaultTvls?filter=vaultAddress%3D${VAULT_ADDRESS}&includeCurrent=true&orderByTimestamp=desc&pageSize=1" \
  -H "x-api-key: $AMPLIFY_API_KEY" | jq '.vaultTvls[0]'

Response

{
  "vaultTvls": [
    {
      "vaultAddress": "0x...",
      "chainId": 1,
      "tvl": "15234567.89",
      "timestamp": "2025-01-15T12:00:00Z"
    }
  ]
}

Response Types

FieldTypeDescription
vaultAddressaddressBoringVault address
chainIdintChain ID
tvlstringTotal value locked as a decimal string (USD denominated)
timestampstringISO 8601 timestamp of the TVL measurement